Update a Settlement Dispute

This API call allows clients to retract or un-retract a dispute (if within the dispute window).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≥ 1
string
required

The unique identifier of the dispute you want to update.

Body Params
string
required

The unique identifier of the connection under which the dispute was created.

boolean
required

Retraction state you wish to update to.

  • if true is supplied, your dispute will transition to a retracted state and the settlement transfers will be executed at the time of settlement provided it remains in a retracted state.
  • if false is supplied, your dispute will transition to a non-retracted state and the settlement transfers will not be executed at the time of settlement provided it remains in an non-retracted state.
string
length ≥ 1

The optional reason for retracting/un-retracting. If retracting, the reason will be persisted and returned in the retractionReason field on the disptue object. If un-retracting, the reason will be persisted and returned in the reason field on the dispute object.

expectedTransfers
object

Optional object representing the transfers you expected to be included in the settlement that this dispute is assiciated with. If provided, the expectedTransfers property on the dispute will be updated based on the provided value.

The object is represented as a record where the keys are currency identifiers and the values are the amounts you expected to be transacted for the associated currency represented in base units of the currency (i.e. sats for BTC, wei for ETH. A positive amount indicates that you expected to receive that amount of the associated currency, where a negative amount indicates that you expected to send that amount of the associated currencies. Zero values are not accepted; if you didn't expect to send or recieve a given currency, simply omit that currency from the expectedTransfers object.

string
required
length ≥ 1

Payload formed by stringifying the object containing all request body properties and the disputeId & settlementId parameters.

The payload must be signed using your BitGo account's private key to create the signature parameter.

string
required
length ≥ 1

Digital signature of the payload parameter.

This signature:

  • Must be created using your BitGo account's private key.
  • Verifies that the request is authentic and hasn't been tampered with.
  • Provides non-repudiation for the allocation request.
string
required
length ≥ 1

Unique nonce to prevent replay attacks.

This value:

  • Must be unique for each request requiring a nonce.
  • Should be a cryptographically strong random value.
  • Is used as part of the request signing process.
  • Helps ensure the signature can only be used once.
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json